Уязвимость BDU:2020-01491

Дата: 29.04.2019. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2020-01491.

Наименование уязвимости: Уязвимость функции lavc_CopyPicture программы-медиапроигрывателя VideoLAN VLC, позволяющая нарушителю оказать воздействие на конфиденциальность, целостность и доступность защищаемой информации.

Описание уязвимости: Уязвимость функции lavc_CopyPicture (modules/codec/avcodec/video.c) программы-медиапроигрывателя VideoLAN VLC связана с ошибкой чтения за границами буфера в памяти. Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, оказать воздействие на конфиденциальность, целостность и доступность защищаемой информации
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система Debian GNU/Linux 9.0 | Операционная система Canonical Ltd. Ubuntu 19.04 | Операционная система Novell Inc. OpenSUSE Leap 15.0 | Операционная система Novell Inc. OpenSUSE Leap 15.1 | Операционная система Debian GNU/Linux 10.0 | Прикладное ПО информационных систем VideoLAN organization VLC Media Player до 3.0.7 включителньно |

Наименование ОС и тип аппаратной платформы: Ubuntu 1804 LTS | Debian GNU/Linux 90 | Ubuntu 1904 | OpenSUSE Leap 150 | OpenSUSE Leap 151 | Debian GNU/Linux 100 |
Дата выявления: 29.04.2019.
CVSS 2.0: AV:N/AC:L/Au:N/C:C/I:C/A:C
Уровень опасности уязвимости: Критический уровень опасности (базовая оценка CVSS 2.0 составляет 10)
Критический уровень опасности (базовая оценка CVSS 3.0 составляет 9,8)

Возможные меры по устранению:
Использование рекомендаций:
Для VideoLAN VLC:
https://trac.videolan.org/vlc/ticket/22240

Для Ubuntu:
https://usn.ubuntu.com/4131-1/

Для программных продуктов Novell Inc.:
https://lists.opensuse.org/opensuse-security-announce/2019-08/msg00005.html
https://lists.opensuse.org/opensuse-security-announce/2019-08/msg00037.html
https://lists.opensuse.org/opensuse-security-announce/2019-08/msg00040.html
https://lists.opensuse.org/opensuse-security-announce/2019-08/msg00081.html

Для Debian GNU/Linux:
https://www.debian.org/security/2019/dsa-4504
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Существует в открытом доступе
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2019-13962.

Тип ошибки CWE: CWE-125
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://nvd.nist.gov/vuln/detail/CVE-2019-13962
https://www.debian.org/security/2019/dsa-4504
https://www.suse.com/security/cve/CVE-2019-13962/
https://trac.videolan.org/vlc/ticket/22240
https://usn.ubuntu.com/4131-1/
https://lists.opensuse.org/opensuse-security-announce/2019-08/msg00005.html
https://lists.opensuse.org/opensuse-security-announce/2019-08/msg00037.html
https://lists.opensuse.org/opensuse-security-announce/2019-08/msg00040.html
https://lists.opensuse.org/opensuse-security-announce/2019-08/msg00081.html
https://www.debian.org/security/2019/dsa-4504

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *